# Glib::RecMutex::Lock Class Reference
[Threads]

Utility class for exception-safe locking of recursive mutexes. More...

`#include <glibmm/thread.h>`

List of all members.

## Public Member Functions

| Lock (RecMutex& mutex)
| Lock (RecMutex& mutex, NotLock)
| Lock (RecMutex& mutex, TryLock)
| ~Lock ()
void | acquire ()
bool | try_acquire ()
void | release ()
bool | locked () const

## Detailed Description

Utility class for exception-safe locking of recursive mutexes.

## Constructor & Destructor Documentation

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex | ) | `[inline, explicit]`

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | NotLock |  |
| ) |  |  | `[inline]`

Glib::RecMutex::Lock::Lock | ( | RecMutex& | mutex,
|  | TryLock |  |
| ) |  |  | `[inline]`

Glib::RecMutex::Lock::~Lock | ( |  | ) | `[inline]`

## Member Function Documentation

void Glib::RecMutex::Lock::acquire | ( |  | ) | `[inline]`

bool Glib::RecMutex::Lock::locked | ( |  | ) | const`[inline]`

void Glib::RecMutex::Lock::release | ( |  | ) | `[inline]`

bool Glib::RecMutex::Lock::try_acquire | ( |  | ) | `[inline]`